package cron

import (
	"git.hilo.cn/hilo-common/resource/config"
	"hilo-group/cron/gift_cron"
	"hilo-group/cron/group_cron"
	"hilo-group/cron/mic_cron"
)

func Init() {
	if !config.IsMaster() {
		return
	}
	gift_cron.SendGiftEventInit()   // 礼物消息
	gift_cron.GiftRemark()          // 礼物消息补偿
	mic_cron.OnMicCheck()           // 检查上麦
	group_cron.GroupPowerExpClear() // 清理家族经验/等级
	group_cron.GroupPowerMonthRankAct()
	group_cron.GroupInEventInit() // 进房事件
}
